{
	"format_version": "1.10.0",
	"animation_controllers": {
		"controller.animation.m1897": {
			"initial_state": "default",
			"states": {
				"default": {
					"transitions": [
{"text":"query.get_equipped_item_name=='m1897' && variable.attack_time && query.is_sneaking"},
{"ammo0":"query.mark_variant == 0 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo1":"query.mark_variant == 1 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo2":"query.mark_variant == 2 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo3":"query.mark_variant == 3 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo4":"query.mark_variant == 4 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo5":"query.mark_variant == 5 && query.get_equipped_item_name=='m1897' && query.is_using_item"},
{"ammo6":"query.mark_variant == 6 && query.get_equipped_item_name=='m1897' && query.is_using_item"},

{"display0":"query.mark_variant == 0 && query.get_equipped_item_name=='m1897'"},
{"display1":"query.mark_variant == 1 && query.get_equipped_item_name=='m1897'"},
{"display2":"query.mark_variant == 2 && query.get_equipped_item_name=='m1897'"},
{"display3":"query.mark_variant == 3 && query.get_equipped_item_name=='m1897'"},
{"display4":"query.mark_variant == 4 && query.get_equipped_item_name=='m1897'"},
{"display5":"query.mark_variant == 5 && query.get_equipped_item_name=='m1897'"},
{"display6":"query.mark_variant == 6 && query.get_equipped_item_name=='m1897'"}
]
				},
"text":{"transitions":[{"default":"(!variable.attack_time)"}],"on_entry":["/playsound addon.action @s","/tellraw @s {\"rawtext\":[{\"text\":\"AMMO: 12 Gauge Shotgun Shell (Allow multiple reload)\"}]}"]},
"ammo0":{"transitions":[{"default":"(!query.is_using_item)"}],"on_entry":["/playsound action.noammo @a[r=8]","/title @s actionbar §4NO AMMO"]},
"ammo1":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 0","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo2":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 1","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo3":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 2","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo4":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 3","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo5":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 4","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},
"ammo6":{"transitions":[{"default":"(1.0)"}],"on_entry":["/playsound addon.shotgun @a[r=64]","/playsound action.pump0 @a[r=8]","/replaceitem entity @s slot.weapon.mainhand 0 addon:m1897 1 5","/summon addon:shotgun_shell ^-0.4^1.6^0.4","/tp @s ~~~~~-2","/camerashake add @s 0.4 0.1","/particle minecraft:basic_smoke_particle ^^1.6^0.8","@s 12bullet"]},

"display0":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 0/6"]},
"display1":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 1/6"]},
"display2":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 2/6"]},
"display3":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 3/6"]},
"display4":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 4/6"]},
"display5":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 5/6"]},
"display6":{"transitions":[{"default":"(1.0)"}],"on_entry":["/title @s actionbar AMMO: 6/6"]}
			}
		}
	}
}